void main( void )
{
 int &wherex;
 int &wherey;
}

void talk( void )
{


if (&gobpass == 5)
  {
   if (&mayor == 0)
   {
    say_stop("** 修理 BUG.. 重置地精村 **",&current_sprite);
   &gobpass = 0;
    return;

   }
  }


 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "打招呼"
 "询问她的工作"
(&mayor == 0)"告诉她有人要袭击小镇"
(&mayor == 3)"看看有什么事发生了"
(&mayor == 4)"给她看卷轴"
 "离开"
 choice_end()
  if (&result == 1)
  {
   wait(400);
   say_stop("嘿，过得如何？", 1);
   wait(250);
   say_stop("`9哦，你好，日子过得应该还不错吧。", &current_sprite);
   wait(1000);
   say_stop("我叫丁克，很荣幸认识你。", 1);
   wait(250);
   say_stop("`9你好丁克，我是 Christina." &current_sprite);
   wait(250);
   say_stop("在镇中闲逛吗？", 1);
   wait(250);
   say_stop("`9我到镇广场去看看", &current_sprite);
   wait(250);
   say_stop("看什么呢？", 1);
   wait(250);
   say_stop("`9当然是为了准备看大游行啦，还有什么啊，小傻瓜？<嘿嘿>", &current_sprite);
   wait(250);
   say_stop("哦对，我也听说过。", 1);
  }
  if (&result == 2)
  {
   wait(400);
   say_stop("那你是做什么的呢？", 1);
   wait(250);
   say_stop("`9我啊，我是画家。", &current_sprite);
   wait(250);
   say_stop("啊，我明白了，你是在画什么呢？", 1);
   wait(250);
   say_stop("`9我想把将举行的大游行给画下来。", &current_sprite);
   wait(250);
   say_stop("哦", 1);
  }
  if (&result == 3)
  {
   &wherex = sp_x(&current_sprite, -1);
   &wherey = sp_y(&current_sprite, -1);
   wait(400);
   say_stop("你知道吗？我听到了些关于大游行的消息。", 1);
   wait(250);
   say_stop("`9我也是啊，大家都高兴得不得了。", &current_sprite);
   wait(250);
   say_stop("`9全大陆都能听到这里的音乐。", &current_sprite);
   wait(250);
   say_stop("是啊，可是 ...", 1);
   wait(250);
   say_stop("我了解到的可不是这些...", 1);
   wait(250);
   say_stop("比如说 Cast 骑士要来大屠杀。", 1);
   wait(250);
   say_stop("`9什么？", &current_sprite);
   wait(250);
   say_stop("`9你在开玩笑吧？", &current_sprite);
   wait(250);
   say_stop("我也希望是，可那是我在镇外听到的。", 1);
   wait(250);
   say_stop("`9我们都会死掉的！", &current_sprite);
   wait(250);
   say_stop("我们必须把大游行取消。", 1);
   wait(250);
   say_stop("`9哦不，还有个办法。", &current_sprite);
   wait(250);
   say_stop("`9市长，他认识些皇家护卫。", &current_sprite);
   wait(250);
   say_stop("`9如果我们能让他相信的话，或许我们能拯救这次的大游行。", &current_sprite);
   wait(250);
   say_stop("`9跟我来。", &current_sprite);
   &mayor = 1;
   //Move off screen
   if (&wherey < 200)
   {
    move_stop(&current_sprite, 2, 210, 1);
   }
   if (&wherey > 322)
   {
    move_stop(&current_sprite, 6, 660, 1);
   }
   if (&wherex < 500)
   {
   move_stop(&current_sprite, 6, 440, 1);
   }
   if (&wherex > 500)
   {
    move_stop(&current_sprite, 2, 250, 1);
   }
   move_stop(&current_sprite, 6, 660, 1);
   sp_active(&current_sprite, 0);
  }

  if (&result == 4)
  {
   int &woman;
   &woman = &current_sprite;
   //Playmidi("planning.mid");
   wait(400);
   say_stop("有通知到别人吗？", 1);
   wait(250);
   say_stop("`9没有啊，什么人都买来过？", &woman);
   wait(250);
   say_stop("`9这杀个每年一次的大活动，而大家都知道它在什么时候举办，", &woman);
   wait(350);
   say_stop("`9所以他们也不早来，到时候就都出现了。", &woman);
   wait(250);
   say_stop("那可能会糟糕。", 1);
   wait(250);
   say_stop("`9我倒也听说了些谣言。", &woman);
   wait(250);
   say_stop("`9有个人说他在附近的地精圣堂徘徊，受到了一只地精", &woman);
   wait(350);
   say_stop("`9的攻击。这样的事已经很久没发生了。", &woman);
   wait(250);
   say_stop("那可能蛮有价值的，我去看看。", 1);
   wait(250);
  }


  if (&result == 5)
  {
   wait(400);
   say_stop("来看看这个！", 1);
   say_stop("Cast 的袭击计划。", 1);
   wait(250);
   say_stop("`9我的天啊，看看这个，", &current_sprite);
   wait(250);
   say_stop("`9他们的主要目标还不是军队", &current_sprite);
   wait(250);
   say_stop("`9他们想杀市民啊。", &current_sprite);
   wait(250);
   say_stop("我们必须制止他们！", 1);
   wait(250);
   say_stop("`9快，把这消息告诉我父，哦，市长 ... 要快报", &current_sprite);
  }
 unfreeze(1);
 wait(500);
 unfreeze(&current_sprite);
}

void hit( void )
{
 int &say;
 playsound(12, 22050, 0, 0, 0);

 &say = random(3,1);
 freeze(&current_sprite);
 if (&say == 1)
 {
  say_stop("`9嗨，注意点！", &current_sprite);
 }
 if (&say == 2)
 {
  say_stop("`9救救我！谁来救救我啊！", &current_sprite);
 }
 if (&say == 3)
 {
  say_stop("`9卫兵卫兵！！有人要血洗了！ ", &current_sprite);
 }
 unfreeze(&current_sprite);
}
